Skip to main content

Get Positive Pay Data

**Suggest Edit### Example Request

curl -X POST https://gateway.ahrvo.network/banking/echecks/apiServices/uploadChecks.php?GetPositivePayData \
-H "Content-Type: application/json" \
-H "Authorization: Bearer {jwtToken}" \
-H "x-api-key: {apiKey}" \
-d '{*

### Overview

The Get Positive Pay Data function provides the list of positive pay report data for a certain bank account. Positive pay is a cash-management service used to deter check fraud.

***

### Resource Access

**Production (`api.ahrvo.network`)**

```http
POST https://api.ahrvo.network/banking/echecks/apiServices/uploadChecks.php?GetPositivePayData

Staging (gateway.ahrvo.network)

POST https://gateway.ahrvo.network/banking/echecks/apiServices/uploadChecks.php?GetPositivePayData:

Arguments

AttributeMandatory / Optional
bankTokenMandatory
startDateMandatory
endDateMandatory
inBehalfOptional

Example Request

curl -X POST https://gateway.ahrvo.network/banking/echecks/apiServices/uploadChecks.php?GetPositivePayData: \
-H "Content-Type: application/json" \
-H "Authorization: Bearer {jwtToken}" \
-d '{
"bankToken": "token-from-GetBankList",
"startDate": "2025-01-01",
"endDate": "2025-01-31",
"inBehalf": ""
}'

Example Response

{
"errorCode": 0,
"errorMessage": "",
"positivePayReport": [
{
"AccountNumber": "123456789",
"RoutingNumber": "021000021",
"CheckNumber": "100123",
"PrintOnCheckName": "John Doe",
"Amount": "2500.00",
"FinancialInstitution": "",
"Transit": "",
"PaymentDate": "2025-01-20"
},
{
"AccountNumber": "123456789",
"RoutingNumber": "021000021",
"CheckNumber": "100124",
"PrintOnCheckName": "Jane Smith",
"Amount": "1800.75",
"FinancialInstitution": "",
"Transit": "",
"PaymentDate": "2025-01-21"
},
{
"AccountNumber": "123456789",
"RoutingNumber": "021000021",
"CheckNumber": "100125",
"PrintOnCheckName": "ABC Corporation",
"Amount": "5000.00",
"FinancialInstitution": "",
"Transit": "",
"PaymentDate": "2025-01-22"
}
]
}

API Documentation